The officially official Devuan Forum!

You are not logged in.

#1 2018-02-11 01:17:46

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Oh dear...

With the upgrade today (in Miyo XTRA Ascii), I saw there were "some to upgrade" and "some held back". I looked at what was held back, and one of the items was the latest desktop base.

I cancelled the upgrade and proceeded to do a dist-upgrade to get the new desktop base. Even with the dist-upgrade, there were still two packages held back...having to do with polkit if I remember correctly.

After the dist-upgrade, I was no longer able to shutdown/reboot from the obsession logout menu. I could still logout, but that was it. I went to another installation, and only did a normal upgrade instead of a dist-upgrade, and everything is working as normal.

I'm still trying to figure out what happened with the dist-upgrade on my other installation, but I haven't figured it out yet.

So...if you're using Miyo XTRA Ascii, to save yourself a bit of trouble, don't do a dist-upgrade just yet...

I don't know whether Miyo XTRA Jessie has been affected by this or not.


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#2 2018-02-11 01:57:18

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Okay, now I'm completely bumfuzzled.

I went to yet another installation. This one was the MiyoLinux from 2016. I have recently installed it and upgraded it to Ascii.

I ran updates.

The latest desktop-base was included with the regular upgrade (?)...not part of the dist-upgrade. I went ahead and did the upgrade to see what would happen.

Obsession works perfectly afterward.

So...I went back to the second installation that I didn't run the dist-upgrade on. I ran updates, and again, the desktop-base was not included in a regular upgrade. ????? I would've had to do a dist-upgrade to get it.

All three installations are Ascii. All three installations are using the pkgmaster repos. The only difference is that the third installation was upgraded from Jessie to Ascii; whereas, the first two were Ascii to begin with.

I don't know what to think...


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#3 2018-02-11 02:11:07

golinux
Administrator
Registered: 2016-11-25
Posts: 871

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Did you install the new Devuan key before trying to upgrade?

Offline

#4 2018-02-11 02:40:56

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

No ma'am, I didn't.

I'm just perplexed at why the latest desktop-base was included in one normal upgrade, but it necessitated a dist-upgrade in the other two installations. Strange... tongue


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#5 2018-02-11 08:09:01

stanz
Member
From: Northern Earth ~~ Brrrr
Registered: 2018-01-14
Posts: 53

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

MiyoLinux wrote:

I cancelled the upgrade and proceeded to do a dist-upgrade to get the new desktop base. Even with the dist-upgrade, there were still two packages held back...having to do with polkit if I remember correctly.

I jus` did a fresh install, and using synaptic, I reloaded for upgrades, these 2 marked with "!".
They want to remove packages & replace with systemd.
libpolkit-agent-1-0
policykit-1
Will check in the morn`in if desktop-base was included.

After the dist-upgrade, I was no longer able to shutdown/reboot from the obsession logout menu.

Same fresh install, then did the upgrade (without the 2) and also had shutdown issue.
I changed desktop background before this - after choosing shutdown from ob menu, the original background
flashed back, stayed - & seemed to be frozen.

My other laptop install shows desktop-base (1:0.99 to 1:2.0.1) in synaptic upgrade, & the same 2 "!" packages.
Did the terminal dist-upgrade and...

stanz@asswipe2:~$ sudo apt-get dist-upgrade
The following NEW packages will be installed:
  clearlooks-phenix-darkpurpy-theme elogind gnome-extra-icons
  gnome-icon-theme-extras libelogind0 libpam-elogind
The following packages have been kept back:
  libpolkit-agent-1-0 policykit-1
The following packages will be upgraded:
  desktop-base exim4 exim4-base exim4-config exim4-daemon-light libmpv1
  libtasn1-6 mplayer2 mpv task-english task-laptop tasksel tasksel-data
13 upgraded, 6 newly installed, 0 to remove and 2 not upgraded.
Need to get 11.1 MB of archives.
After this operation, 9,720 kB of additional disk space will be used.

Hope this helps! Check ya later~~


His Laptop - Acer Aspire E5-521, amd64 Multi-boot: Miyo-XTRA Ascii - Vuu-do latest - StanzSec testing.
Her Laptop - Toshiba - Miyo-XTRA Ascii
All the other pc's - muuhahahaha... tongue

Online

#6 2018-02-11 13:50:48

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Thanks. That reminds me. I also remember seeing those elogind packages. elogind must be clashing with consolekit. I'll see what I can figure out further.


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#7 2018-02-11 14:44:43

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Thanks for your help stanz. It is elogind causing the issue. It came along with the new desktop-base package.

For a quick'n dirty fix...see the next post.

Since you use Synaptic, open it up and search for elogind.

Right-click on it, and choose to mark it for removal. That will automatically mark another elogind package for removal. Next, mark libelogind0 for removal. Then Apply.

After those are removed, try your shutdown menu. It will only offer 3 options at the moment. If you choose Logout, you will be able to reboot from the login screen from the option in the top right corner.

...or...

use a sudo reboot from the terminal should work.

After rebooting, the normal Shutdown menu will be back and work again. wink

Thanks again for posting your output in the terminal. big_smile

Last edited by MiyoLinux (2018-02-11 17:00:32)


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#8 2018-02-11 17:10:28

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Okay. Not long after I removed the elogind packages and rebooted, I ran updates just to see what would appear, and the elogind packages were back again. I went ahead and installed them. Shutdown options stopped working again. So, I just stopped the elogind service from running.

To stop the elogind service, open your terminal, and enter...

sudo pam-auth-update

A window will open and show the various services. If you're unfamiliar with this type of window, use your arrow keys to move up/down the list. Use the space bar to mark/unmark a selection.

Remove the mark from the elogind service.

Use the Tab key to highlight OK.

Hit Enter on your keyboard.

Do a sudo reboot in the terminal, and after the reboot, the shutdown options will be back to normal. Now I need to figure out more about elogind... tongue

Last edited by MiyoLinux (2018-02-11 17:11:00)


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#9 2018-02-11 17:43:01

golinux
Administrator
Registered: 2016-11-25
Posts: 871

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Isn't there a way to blacklist a package?  But then I suppose not having elogind could break other stuff like if someone is dual booting Miyo and KDE.  You really should be interacting with the devs about this maybe on irc.

Offline

#10 2018-02-11 21:01:25

stanz
Member
From: Northern Earth ~~ Brrrr
Registered: 2018-01-14
Posts: 53

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

MiyoLinux wrote:

Now I need to figure out more about elogind... tongue

Yeppers..worked like ya said.
Any help I offer...jus` ask!
cool


His Laptop - Acer Aspire E5-521, amd64 Multi-boot: Miyo-XTRA Ascii - Vuu-do latest - StanzSec testing.
Her Laptop - Toshiba - Miyo-XTRA Ascii
All the other pc's - muuhahahaha... tongue

Online

#11 2018-02-11 21:40:01

fsmithred
Administrator
Registered: 2016-11-25
Posts: 665

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

To stop the elogind service, open your terminal, and enter...

sudo pam-auth-update

Cool! I didn't know about that. I tried it, and just to be different I disabled consolekit instead of elogind, and after a logout/login, I can shutdown and reboot again. Tested with lightdm and lxdm. (slim wasn't affected by the problem)

CORRECTION: Disabling consolekit works with lxdm only, not with lightdm.

Offline

#12 2018-02-12 00:16:55

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

fsmithred wrote:

To stop the elogind service, open your terminal, and enter...

sudo pam-auth-update

Cool! I didn't know about that. I tried it, and just to be different I disabled consolekit instead of elogind, and after a logout/login, I can shutdown and reboot again. Tested with lightdm and lxdm. (slim wasn't affected by the problem)

CORRECTION: Disabling consolekit works with lxdm only, not with lightdm.

Yes...perhaps one day you'll attain enough knowledge to at least have a small glimmer of the pinnacle that I've reached in my vastly superior Linuxoctoprocitianism. tongue

LOLOLOL!

I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#13 2018-02-12 13:24:20

fsmithred
Administrator
Registered: 2016-11-25
Posts: 665

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Run 'pam-auth-update' to enable elogind and disable consolekit.
Install: libpolkit-backend-1-0-elogind libpolkit-gobject-1-0-elogind
Log out/in

I've got xfce with lightdm working with elogind on one install this way. Other install is more elusive.

FWIW, there's a newer version of desktop-base (2.0.2) in ascii-proposed that supports lightdm (you'll get the purpy background on the login screen). Not sure why you'd want d-b for miyo unless you want devuan theming or you're hacking the alternatives system to add miyo theme.

Offline

#14 2018-02-12 17:45:21

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

I'll try it out of curiosity.

The desktop base (that included elogind) changed the custom grub screen background that I'd made for Miyo. It became the Dark Purpy background. It actually blends in pretty well...but I changed it back. tongue

My philosophy has always been to let Miyo be Devuan. I don't blacklist any packages in case a user wants to use them. The themes may be wanted by users...and yes, I also hack on the desktop base grub screen background and theme text. wink


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#15 2018-02-12 19:24:52

golinux
Administrator
Registered: 2016-11-25
Posts: 871

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

MiyoLinux wrote:

The desktop base (that included elogind) changed the custom grub screen background that I'd made for Miyo. It became the Dark Purpy background. It actually blends in pretty well...but I changed it back. tongue

Yes, desktop-base provides the default theme from boot to the desktop.

My philosophy has always been to let Miyo be Devuan. I don't blacklist any packages in case a user wants to use them. The themes may be wanted by users...and yes, I also hack on the desktop base grub screen background and theme text. wink

I used to always have to do that.  Now Devuan comes personalized to my preferences.  LOL!

Offline

#16 2018-02-12 20:48:41

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

golinux wrote:

I used to always have to do that.  Now Devuan comes personalized to my preferences.  LOL!

Hmmm...sounds almost as though you designed it or something. tongue

LOL!


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#17 2018-02-12 22:42:37

golinux
Administrator
Registered: 2016-11-25
Posts: 871

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

MiyoLinux wrote:
golinux wrote:

I used to always have to do that.  Now Devuan comes personalized to my preferences.  LOL!

Hmmm...sounds almost as though you designed it or something. tongue

LOL!

Who?  Me?  LOL!

Offline

#18 2018-02-13 05:42:33

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

golinux wrote:
MiyoLinux wrote:
golinux wrote:

I used to always have to do that.  Now Devuan comes personalized to my preferences.  LOL!

Hmmm...sounds almost as though you designed it or something. tongue

LOL!

Who?  Me?  LOL!

Scared? Say scared.

I'm on to you and your themebobtropilus...

...and if that doesn't make sense, there's more from where that came from!

Last edited by MiyoLinux (2018-02-13 05:50:30)


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#19 2018-02-13 06:05:17

golinux
Administrator
Registered: 2016-11-25
Posts: 871

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

Miyo . . . you always make me smile . . .

Offline

#20 2018-02-13 16:57:48

MiyoLinux
Member
Registered: 2016-12-05
Posts: 488

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

You know...truth be told, I am rather charming. big_smile


I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#21 2018-02-16 07:28:42

stanz
Member
From: Northern Earth ~~ Brrrr
Registered: 2018-01-14
Posts: 53

Re: Upgrade warning for Miyo-XTRA Ascii (?) 2018/02/10

roll
grins...

Last edited by stanz (2018-02-20 07:09:17)


His Laptop - Acer Aspire E5-521, amd64 Multi-boot: Miyo-XTRA Ascii - Vuu-do latest - StanzSec testing.
Her Laptop - Toshiba - Miyo-XTRA Ascii
All the other pc's - muuhahahaha... tongue

Online

Board footer